jQuery(function() {
	// Triggers
	var paramSocialIconFont = '#paramssocialfonticons',
		paramLogoType = '#paramslogoType',
		paramSocialIconYes = '#paramssocialicons1',
		paramSocialIconNo = '#paramssocialicons0';

	// Groups
	// Social icons
	var sectionSocialIcon = [
		'#paramssocialiconstitle-lbl',
		'#paramssocialiconsposition-lbl',
		'#paramssocialalign-lbl',
		'#paramssocialfonticons-lbl'
	];

	var sectionSocialIconImg = [
		'.heading.socialiconsimages',
		'.heading.header-socialicon1',
		'.heading.header-socialicon2',
		'.heading.header-socialicon3',
		'.heading.header-socialicon4',
		'.heading.header-socialicon5',
		'.heading.header-socialicon6',
		'#paramsicon1Image',
		'#paramsicon1Link',
		'#paramsicon2Image',
		'#paramsicon2Link',
		'#paramsicon3Image',
		'#paramsicon3Link',
		'#paramsicon4Image',
		'#paramsicon4Link',
		'#paramsicon5Image',
		'#paramsicon5Link',
		'#paramsicon6Image',
		'#paramsicon6Link'
	];

	var sectionSocialIconFont = [
		'.heading.header-socialiconfonts',
		'.heading.header-socialiconfont1',
		'.heading.header-socialiconfont2',
		'.heading.header-socialiconfont3',
		'.heading.header-socialiconfont4',
		'.heading.header-socialiconfont5',
		'.heading.header-socialiconfont6',
		'.zeniconbreakpointdescr',
		'#paramsiconsize-lbl',
		'#paramsiconcolor-lbl',
		'#paramsiconcss-lbl',
		'#paramsiconcssbreakpoint-lbl',
		'#paramsiconcssmedia-lbl',
		'#paramsicon1Font-lbl',
		'#paramsicon1FontLink-lbl',
		'#paramsicon2Font-lbl',
		'#paramsicon2FontLink-lbl',
		'#paramsicon3Font-lbl',
		'#paramsicon3FontLink-lbl',
		'#paramsicon4Font-lbl',
		'#paramsicon4FontLink-lbl',
		'#paramsicon5Font-lbl',
		'#paramsicon5FontLink-lbl',
		'#paramsicon6Font-lbl',
		'#paramsicon6FontLink-lbl'
	];

	// Logo Type
	var sectionLogoTypeText = [
		'.heading.logotypetext',
		'.jbdesc.logotypetextdescr',
		'#paramslogoText-lbl',
		'#paramsfontStackLogo-lbl',
		'#paramsfontStackLogoSub-lbl',
		'#paramslogoFontSize-lbl',
		'#paramslogoColour-lbl'
	];

	var sectionLogoTypeImg = [
		'.heading.logotypeimg',
		'.jbdesc.logotypeimgdescr',
		'#paramslogoFile-lbl',
		'#paramslogoAltTag-lbl'
	];


	function relayoutSocialIcons() {
		if (jQuery(paramSocialIconYes).is(':checked'))
		{
			showItems(sectionSocialIcon);
			relayoutSocialIconsType();
		}
		else
		{
			hideItems(sectionSocialIcon);
			hideItems(sectionSocialIconImg);
			hideItems(sectionSocialIconFont);
		}
	}

	function relayoutSocialIconsType() {
		// Social icons
		if (jQuery(paramSocialIconFont).val() == 1)
		{
			// Font
			hideItems(sectionSocialIconImg);
			showItems(sectionSocialIconFont);
		}
		else
		{
			// Icon
			showItems(sectionSocialIconImg);
			hideItems(sectionSocialIconFont);
		}
	};

	function relayoutLogoType() {
		// Social icons
		if (jQuery(paramLogoType).val() == 'text')
		{
			// Font
			hideItems(sectionLogoTypeImg);
			showItems(sectionLogoTypeText);
		}
		else
		{
			// Icon
			showItems(sectionLogoTypeImg);
			hideItems(sectionLogoTypeText);
		}
	};

	// Events
	jQuery(paramSocialIconFont).change(function() {
		relayoutSocialIconsType();
	});

	jQuery(paramLogoType).change(function() {
		relayoutLogoType();
	});

	jQuery(paramSocialIconYes).change(function() {
		relayoutSocialIcons();
	});

	jQuery(paramSocialIconNo).change(function() {
		relayoutSocialIcons();
	});

	// Init
	relayoutSocialIcons();
	relayoutLogoType();
});

function hideItems(list)
{
	var length = list.length;
	for (var i=0; i<length; i++)
	{
		var parent = jQuery(list[i]).parent().parent();

		if (parent.length > 0 && parent[0].tagName !== 'TR')
		{
			parent = parent.parent();
		}

		parent.hide();
	}
}

function showItems(list)
{
	var length = list.length;
	for (var i=0; i<length; i++)
	{
		var parent = jQuery(list[i]).parent().parent();

		if (parent.length > 0 && parent[0].tagName !== 'TR')
		{
			parent = parent.parent();
		}

		parent.show();
	}
}
